\name{PlotBicluster}
\alias{PlotBicluster}
\title{Plotting of a bicluster}
\description{

  \code{PlotBicluster}: \R implementation of  \code{PlotBicluster}.
}
\usage{

PlotBicluster(x,samples,observations,xLabels=NULL, yLabels=NULL,
zlim=NULL, title=NULL,x11b=TRUE)


}
\arguments{
  \item{x}{data matrix with columns as samples and rows as observations.}
  \item{samples}{samples beloning to the bicluster.}
  \item{observations}{observations beloning to the bicluster.}
  \item{xLabels}{vector of strings to label the columns where "samples" are
    a subset (default "colnames(x)").}
  \item{yLabels}{vector of strings to label the rows where "observations" are
    a subset (default "rownames(x)").}
  \item{zlim}{vector containing a low and high value to use for the color scale.}
  \item{title}{title of the plot.}
  \item{x11b}{screen output or not.}
}
\details{
  
  Plots a bicluster.

   Plot1:
  The data matrix is sorted such that the bicluster appear at the
  upper left corner.

  The bicluster is marked by a rectangle.

  Plot2:
  Only the bicluster is presented.
  
   Implementation in \R.
}
\seealso{
\code{\link{fabi}},
\code{\link{fabia}},
\code{\link{fabiap}},
\code{\link{fabias}},
\code{\link{fabiasp}},
\code{\link{mfsc}},
\code{\link{nmfdiv}},
\code{\link{nmfeu}},
\code{\link{nmfsc}},
\code{\link{nprojfunc}},
\code{\link{projfunc}},
\code{\link{make_fabi_data}},
\code{\link{make_fabi_data_blocks}},
\code{\link{make_fabi_data_pos}},
\code{\link{make_fabi_data_blocks_pos}},
\code{\link{extract_plot}},
\code{\link{extract_bic}},
\code{\link{myImagePlot}},
\code{\link{Breast_A}},
\code{\link{DLBCL_B}},
\code{\link{Multi_A}},
\code{\link{fabiaDemo}},
\code{\link{fabiaVersion}}
}
\author{Sepp Hochreiter}
\examples{

#---------------
# TEST
#---------------

dat <- make_fabi_data_blocks(n = 100,l= 50,p = 3,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]


resEx <- fabia(X,20,0.1,1.0,1.0,3)

rEx <- extract_bic(resEx$L,resEx$Z,lapla=resEx$lapla,Psi=resEx$Psi)

PlotBicluster(X,unlist(rEx$bic[1,5]),unlist(rEx$bic[1,3]),x11b=FALSE)


\dontrun{
#---------------
# DEMO1
#---------------

dat <- make_fabi_data_blocks(n = 1000,l= 100,p = 10,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]


resToy <- fabia(X,200,0.4,1.0,1.0,13)



rToy <- extract_bic(resToy$L,resToy$Z,lapla=resToy$lapla,Psi=resToy$Psi)

PlotBicluster(X,unlist(rToy$bic[1,5]),unlist(rToy$bic[1,3]))

#---------------
# DEMO2
#---------------

data(Breast_A)

X <- as.matrix(XBreast)

resBreast <- fabia(X,200,0.1,1.0,1.0,5)

rBreast <- extract_bic(resBreast$L,resBreast$Z,lapla=resBreast$lapla,Psi=resBreast$Psi)

PlotBicluster(X,unlist(rBreast$bic[1,5]),unlist(rBreast$bic[1,3]))


}
}
\keyword{hplot}
\concept{biclustering}

