\name{dist.entropy}
\alias{dist.entropy}
\title{ Entropy distance between variables }
\description{
  This functions calculates the \emph{entropy distance} between variables
}
\usage{
dist.entropy(x)
}
\arguments{
  \item{x}{ a matrix of categorical raw data (cases in rows, variables in columns) }
}
\value{
  An object of class \code{\link[stat]{dist}}.
}
\references{
  MacKay, David J.C. (2003). \emph{Information Theory, Inference, and Learning Algorithms (Exercise 8.5).} Cambridge University Press.
}
\author{ Jens Oehlschlaegel }
\seealso{ \code{\link[stat]{dist}}, \code{\link[rjens]{cor2dist}}, \code{\link[rjens]{cor2sim}}, \code{\link[rjens]{sim2dist}} }
\examples{
  n <- 1000
  x <- runif(n)
  x <- cbind(
    x
  , x
  , 2*x
  , x+runif(n, max=0.1)
  , x+runif(n)
  , x+runif(n, max=10)
  , x+runif(n, max=10)
  , 2*(x+runif(n, max=10))
  , 2*(x+runif(n, max=10))
  , runif(n, max=22)
  , runif(n, max=22)
  )
  x <- round(x)
  colnames(x) <- letters[1:ncol(x)]
  D <- dist.entropy(x)
  plot(hclust(D, method="average"))
}
\keyword{multivariate}
\keyword{cluster}
